/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package com.sifang.modules.setting.req;

import java.io.Serializable;
import java.util.List;

/**
 * GrantVO
 *
 * @author Chill
 */
public class GrantVO implements Serializable {

	private static final long serialVersionUID = 1L;


	private List<String> roleIds;

	private List<String> menuIds;

	private List<Long> topMenuIds;

	private List<Long> dataScopeIds;

	private List<Long> apiScopeIds;

	public List<String> getRoleIds() {
		return roleIds;
	}

	public void setRoleIds(List<String> roleIds) {
		this.roleIds = roleIds;
	}

	public List<String> getMenuIds() {
		return menuIds;
	}

	public void setMenuIds(List<String> menuIds) {
		this.menuIds = menuIds;
	}

	public List<Long> getTopMenuIds() {
		return topMenuIds;
	}

	public void setTopMenuIds(List<Long> topMenuIds) {
		this.topMenuIds = topMenuIds;
	}

	public List<Long> getDataScopeIds() {
		return dataScopeIds;
	}

	public void setDataScopeIds(List<Long> dataScopeIds) {
		this.dataScopeIds = dataScopeIds;
	}

	public List<Long> getApiScopeIds() {
		return apiScopeIds;
	}

	public void setApiScopeIds(List<Long> apiScopeIds) {
		this.apiScopeIds = apiScopeIds;
	}
}
